Releases - Notes API
List notes of a release
Section titled “List notes of a release”List all notes of the release with a specific ID.
GET /releases/:id/notesResponse
Section titled “Response”Status: 200 OK[ { "created_at": "2016-04-27T05:24:00-05:00", "person": { "name": "Frank Watson", "id": 46 }, "attachments": [], "text": "The objective of this release is to automate the update of the exchange rate data in the Expense service Production using the \"Exchange Rate API\":http://www.exchangerate-api.com/ cloud service.", "id": 534 }, { "...": "..." }]The response contains these fields by default.
Filtering
Section titled “Filtering”Filtering is available for the following fields :
created_at
medium
person
Create a note
Section titled “Create a note”POST /releases/:id/notesWhen creating a new note the
text
field must be supplied.
Response
Section titled “Response”Status: 201 Created{ "id": 12345}The response contains the
id
of the created note.
Fields
Section titled “Fields”text
Required text (max 64KB) — The text of the note.
attachments
Optional attachments Attachments that should be added to the note.
suppress_note_added_notifications
Optional
boolean
, default:
false
— Set to the value
true
to suppress the ‘Note Added’ notifications from being created. Other notifications, such as ‘Watchlist Item Updated’ and ‘Person Mentioned’, will still be created if applicable.